# Perspectives available to C/C++ developers

A perspective is a layout of views (development tools) in the Workbench window. Each type of perspective is a combination of views, menus, and toolbars that enable you to perform a particular task. For example, the C/C++ perspective has views that are organized to help you develop C/C++ programs; the Debug perspective has views that enable you to debug those programs.

Selecting / Opening Views:

- You can add views to a perspective. From the menu bar choose Window > Show View > Other and select a new view from the Show View dialog.
- To reset the current perspective to its original layout, from the menu bar choose Window > Reset Perspective.

The C/C++ development tools contribute the following perspectives to the workbench:

### C/C++ perspective views

This perspective is tuned for working with C/C++ projects. By default it consists of an editor area and the following views:

- Project Explorer
- Console
- Properties
- Problems
- Tasks
- Make Targets
- Outline
- Search

### Debug perspective views

This perspective is tuned for debugging your C/C++ program. By default it includes an editor area and the following views:

- Debug
- Variables
- Breakpoints
- Expressions
- Registers
- Memory
- Display (for use with JDT only)
- Outline
- Console
- Tasks

### Other Perspectives

In addition to the perspectives named above and the Resource perspective (which you see when you first start Eclipse), Eclipse also has perspectives that are tuned to other types of development:

- Java
- Java Browsing
- Plug-in Development.
- CVS Repository Exploring

Views in the C/C++ perspective
Debug Concepts

Adding breakpoints

Console view